文档

​
​

Development

User Acquisition

Monetization

工业

Annotations API

v1

受支持
​

Annotations API

v1

受支持
​

此页面不支持所选语言。
Unity Services Web APIs
​
​
Annotations Service API (Deprecated)
  • Deprecation Notice: This service will be disabled.
mdx:openapi:endpoints
  • Notifications
  • Topic

Annotations Service API (Deprecated)

Deprecation Notice: This service will be disabled.

Last Updated: 2026-01-16 Annotation service will be disabled on April 20th, 2026. The recommended alternative for Annotation and Collaboration features is the Collaboration SDK, which is available as an experimental package.
Download OpenAPI specification:

Retrieves notifications through long polling.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

Query parameters for "{title}"

from

integer
默认: 0
The latest notification identifier from which to receive newer notifications

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/notifications"

Response example

List all the topics in an asset's dataset.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

datasetId

string
必填
Dataset identifier.

assetId

string
必填
Asset identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics"

Response example

{ "Topics": [ { "Id": "string", "SceneId": "string", "InstanceId": "string", "Title": "string", "CreationAuthor": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "CreationDate": "2024-01-01T00:00:00Z", "ModifiedAuthor": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "ModifiedDate": "2024-01-01T00:00:00Z", "Description": "string", "State": 0, "Read": true, "LocalTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "IssueType": 0, "IssueManagementKey": "string", "LocalCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } } } ]}

Create a new topic under the specified asset's dataset.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

Request body for "{title}"

Media Type:
application/json

InstanceId

string
No description

Title

string
No description

Description

string
No description

LocalTransform

object
No description

Position

object
No description

X

number
No description

Y

number
No description

Z

number
No description

Rotation

object
No description

X

number
No description

Y

number
No description

Z

number
No description

W

number
No description

WorldTransform

object
No description

Position

object
No description

X

number
No description

Y

number
No description

Z

number
No description

Rotation

object
No description

X

number
No description

Y

number
No description

Z

number
No description

W

number
No description

WorldCameraTransform

object
No description

Position

object
No description

X

number
No description

Y

number
No description

Z

number
No description

Rotation

object
No description

X

number
No description

Y

number
No description

Z

number
No description

W

number
No description

LocalCameraTransform

object
No description

Position

object
No description

X

number
No description

Y

number
No description

Z

number
No description

Rotation

object
No description

X

number
No description

Y

number
No description

Z

number
No description

W

number
No description

InitialComment

string
No description

IssueType

integer
Types of Issue Management Tickets supported

IssueManagementKey

string
No description

IssueManagementData

string
No description

Attachment

object
No description

Bytes

string
No description

Filename

string
No description

ContentType

string
No description

Url

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "InstanceId": "string", "Title": "string", "Description": "string", "LocalTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "LocalCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "InitialComment": "string", "IssueType": 0, "IssueManagementKey": "string", "IssueManagementData": "string", "Attachment": { "Bytes": "string", "Filename": "string", "ContentType": "string", "Url": "string" }}' \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics"

Response example

{ "Topic": { "Id": "string", "SceneId": "string", "InstanceId": "string", "Title": "string", "CreationAuthor": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "CreationDate": "2024-01-01T00:00:00Z", "ModifiedAuthor": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "ModifiedDate": "2024-01-01T00:00:00Z", "Description": "string", "State": 0, "Read": true, "LocalTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "IssueType": 0, "IssueManagementKey": "string", "LocalCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } } }, "Comment": { "Id": "string", "TopicId": "string", "Date": "2024-01-01T00:00:00Z", "Author": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "Text": "string", "ModifiedDate": "2024-01-01T00:00:00Z", "Read": true, "IssueManagementKey": "string" }}

Get a topic under the specified asset.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

topicId

string
必填
Topic identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics/{topicId}"

Response example

{ "Id": "string", "SceneId": "string", "InstanceId": "string", "Title": "string", "CreationAuthor": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "CreationDate": "2024-01-01T00:00:00Z", "ModifiedAuthor": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "ModifiedDate": "2024-01-01T00:00:00Z", "Description": "string", "State": 0, "Read": true, "LocalTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "WorldCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }, "IssueType": 0, "IssueManagementKey": "string", "LocalCameraTransform": { "Position": { "X": 0, "Y": 0, "Z": 0 }, "Rotation": { "X": 0, "Y": 0, "Z": 0, "W": 0 } }}

Delete a topic.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

topicId

string
必填
Topic identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics/{topicId}"

Response example

List all the comments in a asset's dataset.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/comments"

Response example

{ "Comments": [ { "Id": "string", "TopicId": "string", "Date": "2024-01-01T00:00:00Z", "Author": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "Text": "string", "ModifiedDate": "2024-01-01T00:00:00Z", "Read": true, "IssueManagementKey": "string" } ]}

Get the comments under a specific topic in a asset's dataset.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

topicId

string
必填
Topic identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics/{topicId}/comments"

Response example

{ "Comments": [ { "Id": "string", "TopicId": "string", "Date": "2024-01-01T00:00:00Z", "Author": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "Text": "string", "ModifiedDate": "2024-01-01T00:00:00Z", "Read": true, "IssueManagementKey": "string" } ]}

Create a new comment.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

topicId

string
必填
Topic identifier.

Request body for "{title}"

Media Type:
application/json

Comment

string
No description

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "Comment": "string"}' \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics/{topicId}/comments"

Response example

{ "Id": "string", "TopicId": "string", "Date": "2024-01-01T00:00:00Z", "Author": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "Text": "string", "ModifiedDate": "2024-01-01T00:00:00Z", "Read": true, "IssueManagementKey": "string"}

Get the comment under a specific topic in an asset.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

assetId

string
必填
Asset identifier.

projectId

string
必填
Project identifier.

datasetId

string
必填
Dataset identifier.

topicId

string
必填
Topic identifier.

commentId

string
必填
Comment identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics/{topicId}/comments/{commentId}"

Response example

{ "Id": "string", "TopicId": "string", "Date": "2024-01-01T00:00:00Z", "Author": { "Id": "string", "FullName": "string", "ColorIndex": 0 }, "Text": "string", "ModifiedDate": "2024-01-01T00:00:00Z", "Read": true, "IssueManagementKey": "string"}

Delete a comment.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

topicId

string
必填
Topic identifier.

commentId

string
必填
Comment identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X DELETE \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics/{topicId}/comments/{commentId}"

Response example

Mark all the topics and comments as read by current user.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/mark-all-as-read"

Response example

Mark all the topics as read by current user.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

Request body for "{title}"

Media Type:
application/json
Array Type:
[ "string"]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '[ "string"]' \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/topics/mark-as-read"

Response example

Mark all the comments as read by current user.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

projectId

string
必填
Project identifier.

assetId

string
必填
Asset identifier.

datasetId

string
必填
Dataset identifier.

Request body for "{title}"

Media Type:
application/json
Array Type:
[ "string"]

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '[ "string"]' \ "https://staging.services.api.unity.com/assets/annotations/v1/projects/{projectId}/assets/{assetId}/datasets/{datasetId}/comments/mark-as-read"

Response example


Copyright © 2026 Unity Technologies
法律信息隐私政策CookiesDocumentation Terms of Use请勿出售或分享我的个人信息您的隐私选择(Cookie 设置)

“Unity”、Unity 徽标及其他 Unity 商标是 Unity Technologies 或其附属公司在美国和其他地方的商标或注册商标(此处查看更多信息)。其他名称或品牌是其各自所有者的商标。

为方便起见,一些页面是机器翻译的,可能包含不准确的内容。如有信息不一致的情况,以英文版本为准。